Bug 178269 - Attach Files requestor needs to accept types or pasted paths
Attach Files requestor needs to accept types or pasted paths
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-18 17:58 EST by John Ellson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 15:22:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Ellson 2006-01-18 17:58:02 EST
Description of problem:
The current "Attach Files" requestor is egregiously inefficient to the textmode
user.  It needs a text entry area added to allow the path to be provided as
typed or pasted text.

Version-Release number of selected component (if applicable):
thunderbird-1.5-1


How reproducible:


Steps to Reproduce:
1.thunderbird
2. File->New->Message
3.  File->Attach->File(s)...
  
Actual results:
File requestor with no place for types or pasted paths

Expected results:
File requestor with a text entry area for paths

Additional info:
Comment 1 Christopher Aillon 2006-01-18 19:00:05 EST
The '/' key will get you one.
Comment 2 John Ellson 2006-01-18 19:15:53 EST
OK, obscure, but that does work for text entry.

However, it doesn't work for middle-button paste.

If I hit '/', then I lose the copy selection.

I can reselect the copy text, but now I have to remove the '/' in the requestor.

Also, after pasting in a valid path and clicking on Open, I'm returned to the
larger file requestor and my file hasn't been attached.
Comment 3 Matthias Clasen 2006-09-05 15:22:31 EDT
The file chooser dialog has meanwhile gotten a toggle button to show the entry,
so you don't loose the selection anymore...

Note You need to log in before you can comment on or make changes to this bug.